package cn.fw.dalaran.rpc.erp.dto;

import cn.fw.erp.sdk.api.result.UserRoleDataRange;
import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 用户信息
 *
 *@author kurisu
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class UserInfoDTO implements Serializable {
    private static final long serialVersionUID = 4707873632551546673L;
    private Long id;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 电话
     */
    private String mobile;
}
